#pragma once
#include "aplCertificateDlg.h"

// CCommonCertInfoDlg dialog

class CaplCertificateDlg;
class CCommonCertInfoDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CCommonCertInfoDlg)

public:
	CCommonCertInfoDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCommonCertInfoDlg();

// Dialog Data
	enum { IDD = IDD_CERT_COMMON_INFO };

	CStatic m_picture;
	CaplButton m_show_win;
	CaplCertificateDlg *m_pParent;

	bool ShowCertImage();
	
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedWinShow();
};
